using Microsoft.EntityFrameworkCore;
using System.ComponentModel.DataAnnotations.Schema;

namespace Elwig.Models.Entities {
    [Table("wb_rd"), PrimaryKey("KgNr", "RdNr")]
    public class WbRd {
        [Column("kgnr")]
        public int KgNr { get; set; }

        [Column("rdnr")]
        public int RdNr { get; set; }
        
        [Column("name")]
        public required string Name { get; set; }

        [ForeignKey("KgNr")]
        public virtual WbKg Kg { get; private set; } = null!;
    }
}
